
Audacious - Bug #140

Winamp interface: Laggy time slider

June 30, 2012 18:11 - Thomas Lange

Status: Closed Start date: June 30, 2012

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/skins Estimated time: 0.00 hour

Target version: 3.3   

Affects version: 3.3-alpha1   

Description

The time slider in the Winamp interface became laggy with Audacious 3.3.

I've tested Audacious 3.1 and 3.2, both are not affected.

For a better explanation, two videos are attached.

History

#1 - June 30, 2012 18:12 - Thomas Lange

Output plugin is PulseAudio.

#2 - July 01, 2012 03:49 - John Lindgren

It's because aud_drct_seek() is now a non-blocking call.  The WinAmp interface needs a fix similar to this one in gtkui:

https://github.com/audacious-media-player/audacious-plugins/commit/530319338f92c52869f9d5d934d53c4f3bf45cff

#3 - July 01, 2012 14:32 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

- Affects version 3.3-alpha1 added

- Affects version deleted (3.3)

Fixed.

Files

audacious-3-1.ogv 133 KB June 30, 2012 Thomas Lange

audacious-3-3.ogv 196 KB June 30, 2012 Thomas Lange

Powered by TCPDF (www.tcpdf.org)

April 28, 2024 1/1

https://github.com/audacious-media-player/audacious-plugins/commit/530319338f92c52869f9d5d934d53c4f3bf45cff
http://www.tcpdf.org

